libpqxx: pqxx::internal::notify_listener_forwarder Class Reference

libpqxx 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
pqxx::internal::notify_listener_forwarder Class Reference

Internal helper class to support old-style, payloadless notifications. More...

`#include <notify-listen.hxx>`

Inheritance diagram for pqxx::internal::notify_listener_forwarder:

## Public Member Functions
| notify_listener_forwarder (connection_base &c, const std::string &channel_name, notify_listener *wrappee)
virtual void | operator() (const std::string &, int backend_pid)
| Overridable: action to invoke when notification arrives.
Public Member Functions inherited from pqxx::notification_receiver
| notification_receiver (connection_base &c, const std::string &channel)
| Register the receiver with a connection.
virtual | ~notification_receiver ()
const std::string & | channel () const
| The channel that this receiver listens on.

## Additional Inherited Members
Protected Member Functions inherited from pqxx::notification_receiver
connection_base & | conn () const throw ()

## Detailed Description

Internal helper class to support old-style, payloadless notifications.

## Constructor & Destructor Documentation

pqxx::internal::notify_listener_forwarder::notify_listener_forwarder | ( | connection_base & | c,
|  | const std::string & | channel_name,
|  | notify_listener * | wrappee
| ) |  |

## Member Function Documentation

void pqxx::internal::notify_listener_forwarder::operator() | ( | const std::string & | payload,
|  | int | backend_pid
| ) |  |
| virtual

Overridable: action to invoke when notification arrives.

Parameters

  payload | On PostgreSQL 9.0 or later, an optional string that may have been passed to the NOTIFY command.
  backend_pid | Process ID of the database backend process that served our connection when the notification arrived. The actual process ID behind the connection may have changed by the time this method is called.

Implements pqxx::notification_receiver.

The documentation for this class was generated from the following files:

- notify-listen.hxx
- notify-listen.cxx